
Foreman - Bug #33560

Fix test failures in plugins

09/24/2021 07:06 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8793

  

Description

After jest 27 was released, some of the new jest packages get unexpectedly pulled in while others remain correctly at 26. Failures

could be observed when running tests:

TypeError: (0 , _jestGetType.default) is not a function

Related issues:

Related to Foreman - Bug #33265: Fix Nightly React test failures Closed

Associated revisions

Revision eb4fc33a - 10/19/2021 07:49 AM - Ondřej Pražák

Fixes #33560 - Pin @jest/types

History

#1 - 09/24/2021 07:06 AM - Ondřej Pražák

- Related to Bug #33265: Fix Nightly React test failures added

#2 - 09/24/2021 07:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8793 added

#3 - 10/19/2021 07:49 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 10/19/2021 08:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|eb4fc33af975149de3f17212133933529d3adcd6.

#5 - 11/15/2021 04:47 PM - Amit Upadhye

- Category set to Tests
